Package org.apache.ignite.internal.processors.query

## Interface QueryEngineConfigurationEx

All Superinterfaces:
  `QueryEngineConfiguration`

    public interface QueryEngineConfigurationEx
    extends QueryEngineConfiguration

Internal interface for the query engine configuration.

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<? extends QueryEngine>` `engineClass()` Query engine class.
`String` `engineName()` Query engine name.

### Methods inherited from interface org.apache.ignite.configuration.QueryEngineConfiguration

`isDefault, setDefault`

### Method Detail

#### engineName

    String engineName()

Query engine name.

#### engineClass

    Class<? extends QueryEngine> engineClass()

Query engine class.